:root {
    --success: #198754;
    --primary: #0d6efd;
    --danger: #dc3545;
}

/* btn */
.btn {
    text-align: center;
    text-decoration: none;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.btnTheme {
    display: inline-block;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    text-align: center;
    text-decoration: none;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    border-radius: 0.25rem;
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.btnBlack {
    background: var(--black);
    color: var(--white);
}

.btnOutlineWhite {
    color: var(--white);
    border: 1px solid var(--white);
}

.btnLogin {
    padding: 0.4rem 1.18rem;
}

.topHighlightButton {
    padding: 0.875rem 3.3rem;
}

.btnBuyCripto {
    margin-top: 0.688rem;
    padding: 0.25rem 1rem;
}

.btnPrimary {
    color: #fff;
    background-color: #008cff;
    border-color: #008cff;
}

/* display */
.dFlex {
    display: flex;
}

.dNone {
    display: none !important;
}

.dInline {
    display: inline;
}

.dInlineBlock {
    display: inline-block;
}

.dBlock {
    display: block;
}

.dUnset {
    display: unset;
}

/* flex-direction */
.fDC {
    flex-direction: column;
}

/* gap */

.gap16 {
    gap: 16px;
}

/* padding */

.p12 {
    padding: 0.75rem;
}

.p27 {
    padding: 1.7rem;
}

/* padding-top */

.pt0 {
    padding-top: 0rem;
}

.pt22 {
    padding-top: 1.375rem;
}

.pt27 {
    padding-top: 1.687rem;
}

.pt60 {
    padding-top: 3.75rem;
}

/* padding-left */

.pl15{
    padding-left: 0.9375rem;
}

.pl27 {
    padding-left: 1.688rem;
}

/* padding-bottom */

.pb27 {
    padding-bottom: 1.688rem;
}

/* margin */

.mButtons {
    margin: 0.75rem 5px;
}

.mLeftRight05 {
    margin: 0px 5px;
}

.mLeftRight26{
    margin: 0 26px;
}

.mTopBottom05 {
    margin: 5px 0px;
}


/* margin-top */

.mt06 {
    margin-top: 0.375rem;
}

.mt10 {
    margin-top: 0.625rem;
}

.mt12 {
    margin-top: 0.75rem;
}

.mt14 {
    margin-top: 0.875rem;
}

.mt20 {
    margin-top: 1.25rem;
}

.mt22 {
    margin-top: 1.375rem;
}

.mt28 {
    margin-top: 1.75rem;
}

.mb24{
    margin-bottom: 1.5rem;
}

.mb31{
    margin-bottom: 1.9375rem;
}

.mt32{
    margin-top: 2rem;
}

.mt33 {
    margin-top: 2.062rem;
}

.mt36 {
    margin-top: 2.25rem;
}

.mt45{
    margin-top: 2.8125rem !important;
}

.mt46 {
    margin-top: 2.875rem;
}

.mt47{
    margin-top: 2.9375rem;
}

.mt52{
    margin-top: 3.25rem;
}

.mt61 {
    margin-top: 3.81rem;
}

.mt70 {
    margin-top: 4.37rem;
}

.mt72 {
    margin-top: 4.5rem !important;
}

.mt95{
    margin-top: 5.9375rem;
}

/* margin-left */

.ml12 {
    margin-left: 0.75rem;
}

.ml14{
    margin-left: 0.875rem;
}

.ml20 {
    margin-left: 1.25rem;
}

.ml24{
    margin-left: 1.5rem;
}

.ml27 {
    margin-left: 1.688rem;
}

.ml30 {
    margin-left: 1.875rem;
}

.ml32 {
    margin-left: 2rem;
}

.ml37{
    margin-left: 2.3125rem;
}

.ml40 {
    margin-left: 2.5rem;
}

.ml67{
    margin-left: 4.188rem;
}

.ml77 {
    margin-left: 4.8rem;
}

/* margin-right */
.mr05 {
    margin-right: 0.5rem;
}

.mr10{
    margin-right: 0.625rem;
}

.mr21 {
    margin-right: 1.313rem;
}

.mr26{
    margin-right: 1.625rem;
}

.mr30 {
    margin-right: 1.875rem;
}

.mr32 {
    margin-right: 2rem;
}

/* margin-bottom */

.mb9 {
    margin-bottom: 9px;
}

.mb14 {
    margin-bottom: 0.875rem;
}

.mb19 {
    margin-bottom: 1.188rem;
}

.mb32 {
    margin-bottom: 2rem;
}

.mb46 {
    margin-bottom: 2.875rem;
}

.mb52{
    margin-bottom: 3.25rem !important;
}

.mb56{
    margin-bottom: 3.5rem;
}

.mb63{
    margin-bottom: 3.9375rem;
}

.mb67 {
    margin-bottom: 4.188rem;
}

.mb68{
    margin-bottom: 4.25rem;
}

.mb270 {
    margin-bottom: 270px;
}

/* font-size */
.fs8 {
    font-size: 0.5rem !important;
}

.fs9{
    font-size: 0.5625rem;
}

.fs10 {
    font-size: 0.62rem;
}

.fs12 {
    font-size: 0.75rem;
}

.fs13 {
    font-size: 0.813rem;
}

.fs15 {
    font-size: 0.938rem;
}

.fs16 {
    font-size: 1rem;
}

.fs18 {
    font-size: 1.125rem;
}

.fs20 {
    font-size: 1.25rem;
}

.fs23 {
    font-size: 1.437rem;
}

.fs25 {
    font-size: 1.5625rem;
}

.fs27 {
    font-size: 1.68rem;
}

.fs28 {
    font-size: 1.75rem;
}

.fs30 {
    font-size: 1.875rem;
}

.fs34 {
    font-size: 2.125rem;
}

.fs40 {
    font-size: 2.5rem;
}

.fs65 {
    font-size: 4.06rem;
}

/* font-weight */

.fw300{
    font-weight: 300;
}

.fw400 {
    font-weight: 400;
}

.fw500{
    font-weight: 500;
}

.fw600{
    font-weight: 600;
}

.fw700 {
    font-weight: 700 !important;
}


/* line-height */

.lHeight24 {
    line-height: 1.5rem;
}

.lHeight28{
    line-height: 1.75rem;
}

.lHeight34 {
    line-height: 2.12rem;
}

.lHeight46 {
    line-height: 2.875rem;
}

.lHeight72 {
    line-height: 4.5rem;
}

/* border-radius */
.br30 {
    border-radius: 30px;
}

/* color */
.textWhite {
    color: var(--white);
}

.textOrange800 {
    color: var(--orange-800);
}

.textOrange900 {
    color: var(--orange-900);
}

.textBlack {
    color: var(--black);
}

.textGray9C {
    color: var(--gray-100)
}

.textGray61 {
    color: var(--gray-200)
}

.textGray80 {
    color: var(--gray);
}

/* justify */
.jCSBet {
    justify-content: space-between;
}

.jCCenter {
    justify-content: center;
}

.jCSAround {
    justify-content: space-around;
}

.jCUnset {
    justify-content: unset !important;
}

/* width */
.w30 {
    width: 30% !important;
}

.w40 {
    width: 40% !important;
}

.w45 {
    width: 45% !important;
}

.w50 {
    width: 50%;
}

.w80 {
    width: 80% !important;
}

.w85 {
    width: 85% !important;
}

.w100 {
    width: 100%;
}

/* align */
.aCCenter {
    align-content: center;
}

.aICenter {
    align-items: center;
}

.aSCenter {
    align-self: center;
}

.textCenter {
    text-align: center;
}

.textUnset {
    text-align: unset !important;
}

button {
    background: transparent;
    border: none;
}

/* background-color */
.bgWhite {
    background-color: var(--white);
}

.bgBlack {
    background-color: var(--black);
}

.bgGray400 {
    background-color: var(--gray-400);
}

.bgGray800 {
    background-color: var(--gray-800) !important;
}

.bgOrange800 {
    background-color: var(--orange-800) !important;
}

.bgPrimary {
    background-color: var(--primary);
}

.bgSuccess {
    background-color: var(--success);
}

.bgDanger {
    background-color: var(--danger);
}

.bgE0E0E0 {
    background-color: var(--gray-E0E0E0);
}

.bgGray200 {
    background-color: var(--gray-200);
}

/* text-color */

.textGray800 {
    color: var(--gray-800);
}

.textPrimary {
    color: var(--primary);
}

.textSuccess {
    color: var(--success);
}

.textDanger {
    color: var(--danger);
}

.textOrange900 {
    color: var(--orange-900);
}

.textGreenWallet {
    color: #89ea79;
    background-color: rgba(138, 234, 123, 0.17);
}

.textRedWallet {
    color: rgb(220 53 69);
    background-color: rgba(220, 53, 69, 0.17);
}

.textBlueWallet {
    color: var(--primary);
    background-color: rgba(13, 110, 253, 0.17);
}

.clBoth {
    clear: both;
}

/* position */

.posAbs {
    position: absolute;
}